Subject: bug#16621: 24.3.50; Periodic timer + overlays = flickering near point

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Feb 2014 08:41:57 -0500

> Maybe, maybe not: remember all the stuff with restoring previous echo
> area message and its clearing.  And good luck unlocking the logic that
> implements that.  E.g., this (relevant to the issue you raised):

I know it's a terrible mess.

> conditions needed to avoid that are quite a few and difficult to
> satisfy, unless nothing, absolutely nothing happens since the last
> redisplay.

But in the current case at hand, "absolutely nothing" happened.

> frame is updated.  This requires at least some X expert to see what
> are the conditions that require the cursor to be redrawn; to my
> non-expert opinion, if we didn't update anything in the vicinity of
> the cursor, there should be no need to redraw it.

Yes, that, too.

> We don't move the cursor to where we write glyphs, like we do on
> a TTY, do we?

Of course we don't.

        Stefan